"use client";

import Footer from '@/components/footer';
import Navbar from '@/components/Navigate';
import Link from 'next/link';
import React from 'react';


const About = () => {
  return (
    <>
     
      <main>
      <Link rel="stylesheet" href="/css/text.css"/>

        {/* Hero Section */}
  
        {/* <Navbar /> */}

        <section 
  className="hero-section align-items-center"   
  style={{ 
    height: '80px', 
    minHeight: '80px',  /* Prevents stretching */
    overflow: 'hidden',   /* Ensures no content forces it larger */
    padding: '0',         /* Removes extra spacing */
    margin: '0'           /* Ensures no unwanted margin */
  }}
> 
  <Navbar />
</section>
        
<section className="hero-section d-flex justify-content-center align-items-center sect" id="section_1">
  <div className="container">
    {/* Carousel Section */}
    <div id="aboutCarousel" className="carousel slide" data-bs-ride="carousel">
      <div className="carousel-inner">
        <div className="carousel-item active">
          <img
            src="/images/topics/undraw_online_ad_re_ol62.png"
            className="d-block w-100"
            alt="AI Article Generation"
          />
          <div className="carousel-caption text-white rounded-3 p-3 bg-dark bg-opacity-75">
            <h5 className="text-2xl font-bold text-white">Generate Articles Effortlessly</h5>
            <p className="text-white">Craft high-quality articles in minutes using our advanced AI tools.</p>
          </div>
        </div>
        <div className="carousel-item">
          <img
            src="/images/topics/undraw_Redesign_feedback_re_jvm0.png"
            className="d-block w-100"
            alt="AI Code Conversion"
          />
          <div className="carousel-caption text-white rounded-3 p-3 bg-dark bg-opacity-75">
            <h5 className="text-2xl font-bold text-white">Convert Code Seamlessly</h5>
            <p className="text-white">Transform code across languages with accuracy and speed.</p>
          </div>
        </div>
        <div className="carousel-item">
          <img
            src="/images/topics/undraw_Remote_design_team_re_urdx.png"
            className="d-block w-100"
            alt="Title Generation"
          />
          <div className="carousel-caption text-white rounded-3 p-3 bg-dark bg-opacity-75">
            <h5 className="text-2xl font-bold text-white">Create Compelling Titles</h5>
            <p className="text-white">Generate attention-grabbing titles for your content effortlessly.</p>
          </div>
        </div>
      </div>

      {/* Rounded & Small Next/Prev Buttons */}
      <button className="carousel-control-prev btn-dark small-btn align-self-end" type="button" data-bs-target="#aboutCarousel" data-bs-slide="prev">
        <span className="carousel-control-prev-icon"></span>
      </button>
      <button className="carousel-control-next btn-dark small-btn align-self-end" type="button" data-bs-target="#aboutCarousel" data-bs-slide="next">
        <span className="carousel-control-next-icon"></span>
      </button>
    </div>
  </div>
</section>

<style jsx>{`
.sect{
border-bottom-right-radius: 50px;
border-bottom-left-radius: 50px; 
 margin-bottom: 50px;
}
  .carousel-inner {
    border-radius: 20px; /* Fully rounded carousel */
    overflow: hidden;
    
    // max-height: 500px; /* Default size */
  }

  .carousel-caption {
    border-radius: 15px; /* Rounded text background */
  }

  .carousel-inner img {
    border-radius: 20px; /* Ensure images are rounded */
    object-fit: cover;
    height: 100%;
  }

  .small-btn {
    width: 45px;
    height: 45px;
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0.6) !important;
    // position: absolute;
    bottom: 10px;  /* Moves buttons to the bottom */
    // z-index: 10;
}

/* Positioning the buttons correctly */
.carousel-control-prev {
    left: 10px; /* Moves the prev button to the left */
}

.carousel-control-next {
    right: 10px; /* Moves the next button to the right */
}


  @media (max-width: 768px) {
    .carousel-inner {
    //   max-height: 400px; /* Smaller for mobile */
    }
  }
`}</style>


        {/* About Section */}
        <section className="py-12 bg-white">
          <div className="container mx-auto px-6">
            <div className="grid grid-cols-1 md:grid-cols-2 gap-8">
              <div>
                <h2 className="text-4xl font-extrabold text-green-600 mb-4">Who We Are</h2>
                <p className="text-lg text-gray-700 leading-relaxed">
                  AI Tools Hub is a leading platform offering a suite of AI-powered tools designed to
                  boost productivity and creativity. From generating well-structured articles to converting
                  complex code, our AI solutions cater to a wide range of professional needs.
                </p>
              </div>
              <div>
                <h2 className="text-4xl font-extrabold text-blue-600 mb-4">What We Offer</h2>
                <ul className="space-y-4">
                  {[
                    'AI Article Generation: Create high-quality, SEO-friendly articles effortlessly.',
                    'Code Conversion Tools: Seamlessly convert code between different programming languages.',
                    'Title Generation: Generate captivating titles for blogs, articles, and more.',
                    'Graphics & Logo Design: Utilize AI for stunning graphics and logo creation.',
                    'Advertising & Video Content: AI tools to craft engaging ads and video content.',
                    'Social Media Management: Automate and optimize your social media strategies.',
                    'Music Production: AI-driven tools for composing, mixing, and mastering music.'
                  ].map((item, index) => (
                    <li
                      key={index}
                      className="p-4 bg-gray-100 hover:bg-green-100 transition duration-300 rounded-lg shadow-md"
                    >
                      <strong>{item.split(':')[0]}:</strong> {item.split(':')[1]}
                    </li>
                  ))}
                </ul>
              </div>
            </div>
          </div>
        </section>
        <hr/>


        <Footer/>

      
      </main>
    </>
  );
};

export default About;
